<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".fragment.HomeFragment">

    <View
        android:layout_width="match_parent"
        android:layout_height="40dp"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical|start"
                    android:layout_marginStart="16dp"
                    android:text="@string/app_name"
                    android:textSize="19sp"
                    android:textStyle="bold" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical|end"
                    android:orientation="horizontal">

                    <ImageView
                        android:id="@+id/iv_vip"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginEnd="5dp"
                        android:src="@mipmap/h_vipicon"
                        tools:ignore="ContentDescription" />

                    <FrameLayout
                        android:id="@+id/fl_setting"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"

                        android:padding="10dp"
                        tools:ignore="UselessParent">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="6dp"
                            android:src="@mipmap/shezhi"
                            tools:ignore="ContentDescription" />
                    </FrameLayout>

                </LinearLayout>


            </FrameLayout>


            <FrameLayout
                android:id="@+id/fl_scan"
                android:layout_width="214dp"
                android:layout_height="214dp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="30dp"
                android:background="@mipmap/yuan">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="Scan"
                    android:textSize="34sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />
            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="16dp"
                android:text="Core Services"
                android:textColor="@color/black"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:layout_marginTop="16dp"
                android:orientation="horizontal"
                tools:ignore="DisableBaselineAlignment">

                <FrameLayout
                    android:id="@+id/fl_ry_photo"
                    android:layout_width="0dp"
                    android:layout_height="80dp"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:background="@mipmap/photo">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="12dp"
                        android:text="Recovery\nPhotos"
                        android:textColor="@color/white"
                        android:textSize="16sp"
                        tools:ignore="HardcodedText" />

                </FrameLayout>


                <FrameLayout
                    android:id="@+id/fl_ry_video"
                    android:layout_width="0dp"
                    android:layout_height="80dp"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:background="@mipmap/videos">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginStart="12dp"
                        android:text="Recovery\nVideos"
                        android:textColor="@color/white"
                        android:textSize="16sp"
                        tools:ignore="HardcodedText" />
                </FrameLayout>

            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="15dp"
                android:layout_marginTop="16dp"
                android:text="Comprehensive functions"
                android:textColor="@color/black"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:layout_marginTop="16dp"
                android:orientation="horizontal">

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_ry_document"
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    app:cardBackgroundColor="#F8F8F8"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:src="@mipmap/recovery"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Recovery\nDocuments"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_screenshot"
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:clickable="true"
                    android:focusable="true"
                    app:cardBackgroundColor="#F8F8F8"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:src="@mipmap/screenshots"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Clean\nScreenshots"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>


                </androidx.cardview.widget.CardView>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:layout_marginTop="12dp"
                android:orientation="horizontal">

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_repeat_photos"
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:clickable="true"
                    android:focusable="true"
                    app:cardBackgroundColor="#F8F8F8"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:src="@mipmap/repeatedphotos"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Repeated\nPhotos"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>


                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/card_privacy_space"
                    android:layout_width="0dp"
                    android:layout_height="70dp"
                    android:layout_marginHorizontal="8dp"
                    android:layout_weight="1"
                    android:clickable="true"
                    android:focusable="true"
                    app:cardBackgroundColor="#F8F8F8"
                    app:cardCornerRadius="10dp"
                    app:cardElevation="0dp">


                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        tools:ignore="UseCompoundDrawables">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:src="@mipmap/space"
                            tools:ignore="ContentDescription" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginStart="8dp"
                            android:text="Privacy\nSpace"
                            android:textColor="@color/black"
                            android:textSize="15sp"
                            tools:ignore="HardcodedText" />

                    </LinearLayout>


                </androidx.cardview.widget.CardView>


            </LinearLayout>

            <FrameLayout
                android:id="@+id/fl_ad"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp" />

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>


</LinearLayout>